Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.HiddenInfoSettingData Class Reference

Configuration settings for removing hidden or sensitive data from a PDF document.
More...

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | HiddenInfoSettingData ()
| Constructs a HiddenDataSetting object with all removal options enabled by default.

## Static Public Attributes
| enable_remove_bookmark = _fsdk.HiddenInfoSettingData_enable_remove_bookmark
| A boolean value indicating whether to remove bookmarks. More...
| enable_remove_comment = _fsdk.HiddenInfoSettingData_enable_remove_comment
| A boolean value indicating whether to remove comments and annotations. More...
| enable_remove_content = _fsdk.HiddenInfoSettingData_enable_remove_content
| A boolean value indicating whether to remove invisible or obscured content. More...
| enable_remove_fileattachment = _fsdk.HiddenInfoSettingData_enable_remove_fileattachment
| A boolean value indicating whether to remove embedded file attachments. More...
| enable_remove_form_fields = _fsdk.HiddenInfoSettingData_enable_remove_form_fields
| A boolean value indicating whether to remove interactive form fields. More...
| enable_remove_hidden_layer = _fsdk.HiddenInfoSettingData_enable_remove_hidden_layer
| A boolean value indicating whether to remove hidden layers (Optional Content Groups). More...
| enable_remove_hidden_text = _fsdk.HiddenInfoSettingData_enable_remove_hidden_text
| A boolean value indicating whether to remove hidden text. More...
| enable_remove_link = _fsdk.HiddenInfoSettingData_enable_remove_link
| A boolean value indicating whether to remove hyperlink annotations. More...
| enable_remove_metadata = _fsdk.HiddenInfoSettingData_enable_remove_metadata
| A boolean value indicating whether to remove document metadata. More...
| enable_remove_overlaping = _fsdk.HiddenInfoSettingData_enable_remove_overlaping
| A boolean value indicating whether to remove overlapping objects. More...
| enable_remove_searchIndex = _fsdk.HiddenInfoSettingData_enable_remove_searchIndex
| A boolean value indicating whether to remove the search index. More...

## Detailed Description

Configuration settings for removing hidden or sensitive data from a PDF document.

## Member Data Documentation

## ◆ enable_remove_bookmark

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_bookmark = _fsdk.HiddenInfoSettingData_enable_remove_bookmark
| static

A boolean value indicating whether to remove bookmarks.

Bookmarks are document outlines that may reveal document structure or private section names.

## ◆ enable_remove_comment

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_comment = _fsdk.HiddenInfoSettingData_enable_remove_comment
| static

A boolean value indicating whether to remove comments and annotations.

Comments may contain personal notes, editorial feedback, or private data.

## ◆ enable_remove_content

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_content = _fsdk.HiddenInfoSettingData_enable_remove_content
| static

A boolean value indicating whether to remove invisible or obscured content.

Includes content fully covered by other elements or outside the visible page area.

## ◆ enable_remove_fileattachment

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_fileattachment = _fsdk.HiddenInfoSettingData_enable_remove_fileattachment
| static

A boolean value indicating whether to remove embedded file attachments.

File attachments may contain hidden or unrelated external content embedded in the PDF.

## ◆ enable_remove_form_fields

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_form_fields = _fsdk.HiddenInfoSettingData_enable_remove_form_fields
| static

A boolean value indicating whether to remove interactive form fields.

Form fields such as text boxes and checkboxes may store sensitive user input.

## ◆ enable_remove_hidden_layer

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_hidden_layer = _fsdk.HiddenInfoSettingData_enable_remove_hidden_layer
| static

A boolean value indicating whether to remove hidden layers (Optional Content Groups).

Hidden layers can contain text or graphics not visible in normal viewing mode.

## ◆ enable_remove_hidden_text

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_hidden_text = _fsdk.HiddenInfoSettingData_enable_remove_hidden_text
| static

A boolean value indicating whether to remove hidden text.

Hidden text may be visually invisible but still accessible through text extraction.

## ◆ enable_remove_link

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_link = _fsdk.HiddenInfoSettingData_enable_remove_link
| static

A boolean value indicating whether to remove hyperlink annotations.

Links may lead to external sites or reference internal sensitive sections.

## ◆ enable_remove_metadata

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_metadata = _fsdk.HiddenInfoSettingData_enable_remove_metadata
| static

A boolean value indicating whether to remove document metadata.

Metadata may contain title, author, keywords, and other hidden descriptive information.

## ◆ enable_remove_overlaping

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_overlaping = _fsdk.HiddenInfoSettingData_enable_remove_overlaping
| static

A boolean value indicating whether to remove overlapping objects.

Overlapping elements can be used to obscure sensitive content or create misleading visuals.

## ◆ enable_remove_searchIndex

FoxitPDFSDKPython2.HiddenInfoSettingData.enable_remove_searchIndex = _fsdk.HiddenInfoSettingData_enable_remove_searchIndex
| static

A boolean value indicating whether to remove the search index.

Search indexes speed up full-text search but may retain hidden or outdated content.